#!/bin/sh


BUNDLED_JAVA_HOME=

if [ ! -z "$BUNDLED_JAVA_HOME" ]; then
   JAVA_HOME=$BUNDLED_JAVA_HOME
fi

if [ -z "$JAVA_HOME" ]; then
  echo "Please, set JAVA_HOME before running this script."
  exit 1
fi

if [ -r setenv.sh ]; then
  . setenv.sh
elif [ -r bin/setenv.sh ]; then
  . bin/setenv.sh
else
  echo "Unable to find setenv.sh."
  exit 1
fi

echo CLASSPATH: "$CLASSPATH"
echo JAVA_OPTS: $JAVA_OPTS
"$JAVA_HOME/bin/java" $JAVA_OPTS -classpath "$CLASSPATH" com.funambol.pimlistener.console.Menu

cd $CURRENT_DIR
