@echo off

setlocal
set BUNDLED_JAVA_HOME=
if not "%BUNDLED_JAVA_HOME%" == "" set JAVA_HOME=%BUNDLED_JAVA_HOME%

if not "%JAVA_HOME%" == "" goto CONT2
echo ERROR: Please, set JAVA_HOME before running this script.
goto END
:CONT2

if exist "setenv.bat" (
    call setenv.bat
) else if exist "bin\setenv.bat" (
    call bin\setenv.bat
) else (
    echo Unable to find setenv.bat.
    goto END
)

rem Uncomment the following line to enable remote debug
rem set JAVA_OPTS=%JAVA_OPTS% -Xdebug -Xrunjdwp:transport=dt_socket,address=7777,server=y,suspend=n

rem Uncomment the following line to enable remote JMX
rem set JAVA_OPTS=%JAVA_OPTS% -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=3099 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false

echo CLASSPATH: "%CLASSPATH%"
echo JAVA_OPTS: %JAVA_OPTS%
"%JAVA_HOME%\bin\java.exe" %JAVA_OPTS% -classpath "%CLASSPATH%" com.funambol.pushlistener.service.PushListener

cd %CURRENT_DIR%

:END
endlocal

